unit XData.SwaggerUI.Service;

interface

uses
  XData.SwaggerUI.Service.Internal,
  XData.Service.Common;

type
  [ServiceContract]
  [SwaggerExclude]
  ISwaggerUIService = interface(ICustomSwaggerUIService)
  ['{73022ACC-516F-4D0B-8365-548A32BC39E4}']
  end;

  [ServiceImplementation]
  TSwaggerUIService = class(TCustomSwaggerUIService, ISwaggerUIService, ICustomSwaggerUIService)
  end;

procedure RegisterSwaggerUIService;

implementation

procedure RegisterSwaggerUIService;
begin
  RegisterServiceType(TSwaggerUIService);
end;

end.
